package model

import (
	"time"

	"gorm.io/gorm"
)

type Captcha struct {
	gorm.Model
	Code      string    `gorm:"size:6"`        // 验证码
	Type      string    `gorm:"size:20"`       // 验证码类型：register/login/reset
	Target    string    `gorm:"size:255"`      // 目标（邮箱或手机号）
	ExpiresAt time.Time `gorm:"index"`         // 过期时间
	Used      bool      `gorm:"default:false"` // 是否已使用
}
