package model

import (
	"gorm.io/gorm"
)

type DeviceLog struct {
	gorm.Model
	DeviceUID string `gorm:"index" json:"device_uid"` // 设备UID
	Action    string `json:"action"`                  // 操作类型
	Message   string `json:"message"`                 // 详细信息
	Status    string `json:"status"`                  // 状态：success/failed
}
